<?php

namespace Sabre\RulesFromPrice;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'RulesFromPriceRQ' => '\\Sabre\\RulesFromPrice\\Structs\\RulesFromPriceRQ',
            'RuleReqInfo' => '\\Sabre\\RulesFromPrice\\Structs\\RuleReqInfo',
            'FareBasis' => '\\Sabre\\RulesFromPrice\\Structs\\FareBasis',
            'NoMatch' => '\\Sabre\\RulesFromPrice\\Structs\\NoMatch',
            'Passenger' => '\\Sabre\\RulesFromPrice\\Structs\\Passenger',
            'SegmentSelect' => '\\Sabre\\RulesFromPrice\\Structs\\SegmentSelect',
            'SabreHeader' => '\\Sabre\\RulesFromPrice\\Structs\\SabreHeader',
            'DiagnosticResults' => '\\Sabre\\RulesFromPrice\\Structs\\DiagnosticResults',
            'Diagnostics' => '\\Sabre\\RulesFromPrice\\Structs\\Diagnostics',
            'Identification' => '\\Sabre\\RulesFromPrice\\Structs\\Identification',
            'Identifier.System' => '\\Sabre\\RulesFromPrice\\Structs\\Identifier_System',
            'Message.Condition' => '\\Sabre\\RulesFromPrice\\Structs\\Message_Condition',
            'ProblemBase' => '\\Sabre\\RulesFromPrice\\Structs\\ProblemBase',
            'ProblemSummary' => '\\Sabre\\RulesFromPrice\\Structs\\ProblemSummary',
            'ResultSummary' => '\\Sabre\\RulesFromPrice\\Structs\\ResultSummary',
            'Security' => '\\Sabre\\RulesFromPrice\\Structs\\Security',
            'Service' => '\\Sabre\\RulesFromPrice\\Structs\\Service',
            'Traces' => '\\Sabre\\RulesFromPrice\\Structs\\Traces',
            'TraceRecord' => '\\Sabre\\RulesFromPrice\\Structs\\TraceRecord',
            'TrackingID' => '\\Sabre\\RulesFromPrice\\Structs\\TrackingID',
            'STL_Payload' => '\\Sabre\\RulesFromPrice\\Structs\\STL_Payload',
            'Results' => '\\Sabre\\RulesFromPrice\\Structs\\Results',
            'ApplicationResults' => '\\Sabre\\RulesFromPrice\\Structs\\ApplicationResults',
            'ProblemInformation' => '\\Sabre\\RulesFromPrice\\Structs\\ProblemInformation',
            'SystemSpecificResults' => '\\Sabre\\RulesFromPrice\\Structs\\SystemSpecificResults',
            'HostCommand' => '\\Sabre\\RulesFromPrice\\Structs\\HostCommand',
            'RulesFromPriceRS' => '\\Sabre\\RulesFromPrice\\Structs\\RulesFromPriceRS',
            'FareRuleInfo' => '\\Sabre\\RulesFromPrice\\Structs\\FareRuleInfo',
            'Header' => '\\Sabre\\RulesFromPrice\\Structs\\Header',
            'Line' => '\\Sabre\\RulesFromPrice\\Structs\\Line',
            'ParsedData' => '\\Sabre\\RulesFromPrice\\Structs\\ParsedData',
            'CurrencyLine' => '\\Sabre\\RulesFromPrice\\Structs\\CurrencyLine',
            'FareBasisLine' => '\\Sabre\\RulesFromPrice\\Structs\\FareBasisLine',
            'DisplayType' => '\\Sabre\\RulesFromPrice\\Structs\\DisplayType',
            'FareTypeLine' => '\\Sabre\\RulesFromPrice\\Structs\\FareTypeLine',
            'FareDescription' => '\\Sabre\\RulesFromPrice\\Structs\\FareDescription',
            'FootnoteLine' => '\\Sabre\\RulesFromPrice\\Structs\\FootnoteLine',
            'OriginDestinationLine' => '\\Sabre\\RulesFromPrice\\Structs\\OriginDestinationLine',
            'Airline' => '\\Sabre\\RulesFromPrice\\Structs\\Airline',
            'DestinationLocation' => '\\Sabre\\RulesFromPrice\\Structs\\DestinationLocation',
            'OriginLocation' => '\\Sabre\\RulesFromPrice\\Structs\\OriginLocation',
            'PassengerTypeLine' => '\\Sabre\\RulesFromPrice\\Structs\\PassengerTypeLine',
            'PassengerType' => '\\Sabre\\RulesFromPrice\\Structs\\PassengerType',
            'SITA_Line' => '\\Sabre\\RulesFromPrice\\Structs\\SITA_Line',
            'SystemDatesLine' => '\\Sabre\\RulesFromPrice\\Structs\\SystemDatesLine',
            'Rules' => '\\Sabre\\RulesFromPrice\\Structs\\Rules',
            'Paragraph' => '\\Sabre\\RulesFromPrice\\Structs\\Paragraph',
            'RoutingInfo' => '\\Sabre\\RulesFromPrice\\Structs\\RoutingInfo',
            'SignatureType' => '\\Sabre\\RulesFromPrice\\Structs\\SignatureType',
            'SignatureValueType' => '\\Sabre\\RulesFromPrice\\Structs\\SignatureValueType',
            'SignedInfoType' => '\\Sabre\\RulesFromPrice\\Structs\\SignedInfoType',
            'CanonicalizationMethodType' => '\\Sabre\\RulesFromPrice\\Structs\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\Sabre\\RulesFromPrice\\Structs\\SignatureMethodType',
            'ReferenceType' => '\\Sabre\\RulesFromPrice\\Structs\\ReferenceType',
            'TransformsType' => '\\Sabre\\RulesFromPrice\\Structs\\TransformsType',
            'TransformType' => '\\Sabre\\RulesFromPrice\\Structs\\TransformType',
            'DigestMethodType' => '\\Sabre\\RulesFromPrice\\Structs\\DigestMethodType',
            'KeyInfoType' => '\\Sabre\\RulesFromPrice\\Structs\\KeyInfoType',
            'KeyValueType' => '\\Sabre\\RulesFromPrice\\Structs\\KeyValueType',
            'RetrievalMethodType' => '\\Sabre\\RulesFromPrice\\Structs\\RetrievalMethodType',
            'X509DataType' => '\\Sabre\\RulesFromPrice\\Structs\\X509DataType',
            'X509IssuerSerialType' => '\\Sabre\\RulesFromPrice\\Structs\\X509IssuerSerialType',
            'PGPDataType' => '\\Sabre\\RulesFromPrice\\Structs\\PGPDataType',
            'SPKIDataType' => '\\Sabre\\RulesFromPrice\\Structs\\SPKIDataType',
            'ObjectType' => '\\Sabre\\RulesFromPrice\\Structs\\ObjectType',
            'ManifestType' => '\\Sabre\\RulesFromPrice\\Structs\\ManifestType',
            'SignaturePropertiesType' => '\\Sabre\\RulesFromPrice\\Structs\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\Sabre\\RulesFromPrice\\Structs\\SignaturePropertyType',
            'DSAKeyValueType' => '\\Sabre\\RulesFromPrice\\Structs\\DSAKeyValueType',
            'RSAKeyValueType' => '\\Sabre\\RulesFromPrice\\Structs\\RSAKeyValueType',
            'Envelope' => '\\Sabre\\RulesFromPrice\\Structs\\Envelope',
            'Body' => '\\Sabre\\RulesFromPrice\\Structs\\Body',
            'Fault' => '\\Sabre\\RulesFromPrice\\Structs\\Fault',
            'detail' => '\\Sabre\\RulesFromPrice\\Structs\\Detail',
            'Manifest' => '\\Sabre\\RulesFromPrice\\Structs\\Manifest',
            'Reference' => '\\Sabre\\RulesFromPrice\\Structs\\Reference',
            'Schema' => '\\Sabre\\RulesFromPrice\\Structs\\Schema',
            'MessageHeader' => '\\Sabre\\RulesFromPrice\\Structs\\MessageHeader',
            'MessageData' => '\\Sabre\\RulesFromPrice\\Structs\\MessageData',
            'SyncReply' => '\\Sabre\\RulesFromPrice\\Structs\\SyncReply',
            'MessageOrder' => '\\Sabre\\RulesFromPrice\\Structs\\MessageOrder',
            'AckRequested' => '\\Sabre\\RulesFromPrice\\Structs\\AckRequested',
            'Acknowledgment' => '\\Sabre\\RulesFromPrice\\Structs\\Acknowledgment',
            'ErrorList' => '\\Sabre\\RulesFromPrice\\Structs\\ErrorList',
            'Error' => '\\Sabre\\RulesFromPrice\\Structs\\Error',
            'StatusResponse' => '\\Sabre\\RulesFromPrice\\Structs\\StatusResponse',
            'StatusRequest' => '\\Sabre\\RulesFromPrice\\Structs\\StatusRequest',
            'sequenceNumber.type' => '\\Sabre\\RulesFromPrice\\Structs\\SequenceNumber_type',
            'PartyId' => '\\Sabre\\RulesFromPrice\\Structs\\PartyId',
            'To' => '\\Sabre\\RulesFromPrice\\Structs\\To',
            'From' => '\\Sabre\\RulesFromPrice\\Structs\\From',
            'Description' => '\\Sabre\\RulesFromPrice\\Structs\\Description',
            'UsernameToken' => '\\Sabre\\RulesFromPrice\\Structs\\UsernameToken',
        );
    }
}
